org.eclipse.viatra.cep.vepl.validation

## Class VeplValidator

- java.lang.Object
- - org.eclipse.xtext.validation.AbstractInjectableValidator
  - - org.eclipse.xtext.validation.AbstractDeclarativeValidator
    - - org.eclipse.xtext.xbase.validation.AbstractXbaseValidator
      - - org.eclipse.xtext.xbase.validation.XbaseValidator
        - - org.eclipse.viatra.cep.vepl.validation.AbstractVeplValidator
          - - org.eclipse.viatra.cep.vepl.validation.VeplValidator

- All Implemented Interfaces:
    org.eclipse.emf.ecore.EValidator, org.eclipse.xtext.validation.ValidationMessageAcceptor

      public class VeplValidator
      extends AbstractVeplValidator

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.xtext.validation.AbstractDeclarativeValidator

      `org.eclipse.xtext.validation.AbstractDeclarativeValidator.MethodWrapper, org.eclipse.xtext.validation.AbstractDeclarativeValidator.State, org.eclipse.xtext.validation.AbstractDeclarativeValidator.StateAccess`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EValidator

      `org.eclipse.emf.ecore.EValidator.Descriptor, org.eclipse.emf.ecore.EValidator.PatternMatcher, org.eclipse.emf.ecore.EValidator.Registry, org.eclipse.emf.ecore.EValidator.SubstitutionLabelProvider, org.eclipse.emf.ecore.EValidator.ValidationDelegate`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ATOM_TIMEWINDOW_NO_MULTIPLICITY`
    `static java.lang.String` | `DUPLICATE_TRAIT_PARAMETER_NAMES`
    `static java.lang.String` | `INFINITE_MULTIPLICITY_WITH_TIMEWINDOW`
    `static java.lang.String` | `INVALID_ARGUMENTS`
    `static java.lang.String` | `INVALID_NAME`
    `static java.lang.String` | `MISSING_QUERY_IMPORT`
    `static java.lang.String` | `NEGATIVE_OPERATOR_ON_NONATOMIC_REFERENCE`
    `static java.lang.String` | `NEGATIVE_WITH_MULTIPLICITY`
    `static java.lang.String` | `NEGATIVE_WITH_TIMEWINDOW`
    `static java.lang.String` | `NO_INFINITE_SUPPORT`
    `static java.lang.String` | `NON_POSITIVE_MULTIPLICITY`
    `static java.lang.String` | `PARAMETER_ON_NON_ATOMIC_PATTERN_CALL`
    `static java.lang.String` | `SHADOWED_TRAIT_PARAMETERS`
    `static java.lang.String` | `SINGE_PLAIN_ATOM_IN_COMPLEX_EVENT_EXPRESSION`
    `static java.lang.String` | `TRAIT_EXPERIMENTAL`
    `static java.lang.String` | `UNSAFE_INFINITE_MULTIPLICITY`

    - ### Fields inherited from class org.eclipse.xtext.validation.AbstractInjectableValidator

      `CURRENT_LANGUAGE_NAME, ISSUE_SEVERITIES`

    - ### Fields inherited from interface org.eclipse.xtext.validation.ValidationMessageAcceptor

      `INSIGNIFICANT_INDEX`

    - ### Fields inherited from interface org.eclipse.emf.ecore.EValidator

      `MARKER, RELATED_URIS_ATTRIBUTE, URI_ATTRIBUTE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VeplValidator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `complexEventPatternWithPlainAtomExpression(ComplexEventPattern eventPattern)`
    `void` | `duplicateTraitParameterNamesInDiamondInheritance(AtomicEventPattern atomicEventPattern)`
    `void` | `explicitlyImportedQueryPackage(QueryResultChangeEventPattern iqPatternEventPattern)`
    `void` | `expressionAtomWithTimewindowMustFeatureMultiplicity(Atom atom)`
    `void` | `negativeOperatorAndOtherOperatorCombinations(ComplexEventExpression complexEventExpression)`
    `boolean` | `starOperatorIsLast(ComplexEventExpression expression)`
    `void` | `traitParameterShadowing(AtomicEventPattern atomicEventPattern)`
    `void` | `traitsAreExperimentalFeature(Trait trait)`
    `void` | `uniqueName(ModelElement modelElement)`
    `void` | `unsafeStarOperator(ComplexEventExpression complexEventExpression)`
    `void` | `unsupportedMultiplicityTimewindowCombinations(Atom atom)`
    `void` | `validPatternCallArguments(ParameterizedPatternCall patternCall)`

    - ### Methods inherited from class org.eclipse.viatra.cep.vepl.validation.AbstractVeplValidator

      `getEPackages`

    - ### Methods inherited from class org.eclipse.xtext.xbase.validation.XbaseValidator

      `addImportUnusedIssues, canonicalName, checkAssignment, checkAssignment, checkAssignment, checkAssignment, checkAssignment, checkCast, checkCasts, checkCatchClausesOrder, checkClosureParameterTypes, checkClosureParams, checkConflicts, checkConstructorArgumentsAreValid, checkDelegateConstructorIsFirst, checkDeprecated, checkDeprecated, checkDeprecated, checkDeprecated, checkDeprecated, checkDeprecated, checkDuplicatedCases, checkExplicitOperationCall, checkExplicitOperationCall, checkExplicitOperationCall, checkFinalFieldInitialization, checkImports, checkIncompleteCasesOnEnum, checkInitializationRec, checkInnerExpressions, checkInstanceOf, checkInstanceOfOrder, checkIsValidConstructorArgument, checkLocalUsageOfDeclared, checkLocalUsageOfSwitchParameter, checkNoCircularConstructorCall, checkNoForwardReferences, checkNoJavaStyleTypeCasting, checkNoJavaStyleTypeCasting, checkNumberFormat, checkOperandTypesForTripleEquals, checkPrimitiveComparedToNull, checkRedundantCase, checkReferInvalidTypes, checkReferInvalidTypes, checkReferInvalidTypes, checkReturn, checkTypeArguments, checkTypeArguments, checkTypeGuards, checkTypeGuardsOrder, checkTypeLiteral, checkTypeParameterConstraintIsValid, checkTypeParameterNotUsedInStaticContext, checkTypeReferenceIsNotVoid, checkTypeReferenceIsNotVoid, checkTypes, checkVariableDeclaration, checkVariableIsNotInferredAsVoid, containsTypeArgs, doCheckTypeParameterForwardReference, ensureNotPrimitiveNorWildcard, getActualType, getActualType, getActualType, getExpectedType, getExpressionHelper, getFirstLeafNode, getLogicalContainerProvider, getNameOfTypes, getNode, getReferInvalidTypeMessage, getServices, hasConstructorCallWithThis, isFinal, isHandled, isHidden, isInitialized, isInterface, isLocalClassSemantics, isLocallyUsed, isLocalType, isPrimitiveVoid, isSemicolon, isStaticContext, isTripleEqualsOperation, isValueExpectedRecursive, isXExpressionInsideBlock, memberOfTypeHierarchy, mustBeJavaStatementExpression, populateMaps, reportFieldAlreadyInitialized, reportUninitializedField, reportUninitializedField, toLightweightTypeReference, toLightweightTypeReference`

    - ### Methods inherited from class org.eclipse.xtext.validation.AbstractDeclarativeValidator

      `acceptError, acceptError, acceptInfo, acceptInfo, acceptWarning, acceptWarning, addIssue, addIssue, addIssue, addIssue, addIssue, addIssueToState, checkDone, checkIsFromCurrentlyCheckedResource, createDiagnostic, createDiagnostic, createMethodWrapper, error, error, error, error, error, error, error, error, getChain, getCheckMode, getContext, getCurrentMethod, getCurrentObject, getIssueSeverities, getMessageAcceptor, guard, info, info, info, info, info, info, info, info, internalValidate, isIgnored, newInstance, setInjector, setMessageAcceptor, toDiagnosticSeverity, warning, warning, warning, warning, warning, warning, warning, warning`

    - ### Methods inherited from class org.eclipse.xtext.validation.AbstractInjectableValidator

      `getCurrentLanguage, isLanguageSpecific, isResponsible, register, validate, validate, validate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INVALID_NAME

          public static final java.lang.String INVALID_NAME

      See Also:
        Constant Field Values

    - #### INVALID_ARGUMENTS

          public static final java.lang.String INVALID_ARGUMENTS

      See Also:
        Constant Field Values

    - #### MISSING_QUERY_IMPORT

          public static final java.lang.String MISSING_QUERY_IMPORT

      See Also:
        Constant Field Values

    - #### ATOM_TIMEWINDOW_NO_MULTIPLICITY

          public static final java.lang.String ATOM_TIMEWINDOW_NO_MULTIPLICITY

      See Also:
        Constant Field Values

    - #### SINGE_PLAIN_ATOM_IN_COMPLEX_EVENT_EXPRESSION

          public static final java.lang.String SINGE_PLAIN_ATOM_IN_COMPLEX_EVENT_EXPRESSION

      See Also:
        Constant Field Values

    - #### NON_POSITIVE_MULTIPLICITY

          public static final java.lang.String NON_POSITIVE_MULTIPLICITY

      See Also:
        Constant Field Values

    - #### INFINITE_MULTIPLICITY_WITH_TIMEWINDOW

          public static final java.lang.String INFINITE_MULTIPLICITY_WITH_TIMEWINDOW

      See Also:
        Constant Field Values

    - #### NO_INFINITE_SUPPORT

          public static final java.lang.String NO_INFINITE_SUPPORT

      See Also:
        Constant Field Values

    - #### NEGATIVE_OPERATOR_ON_NONATOMIC_REFERENCE

          public static final java.lang.String NEGATIVE_OPERATOR_ON_NONATOMIC_REFERENCE

      See Also:
        Constant Field Values

    - #### UNSAFE_INFINITE_MULTIPLICITY

          public static final java.lang.String UNSAFE_INFINITE_MULTIPLICITY

      See Also:
        Constant Field Values

    - #### PARAMETER_ON_NON_ATOMIC_PATTERN_CALL

          public static final java.lang.String PARAMETER_ON_NON_ATOMIC_PATTERN_CALL

      See Also:
        Constant Field Values

    - #### NEGATIVE_WITH_MULTIPLICITY

          public static final java.lang.String NEGATIVE_WITH_MULTIPLICITY

      See Also:
        Constant Field Values

    - #### NEGATIVE_WITH_TIMEWINDOW

          public static final java.lang.String NEGATIVE_WITH_TIMEWINDOW

      See Also:
        Constant Field Values

    - #### DUPLICATE_TRAIT_PARAMETER_NAMES

          public static final java.lang.String DUPLICATE_TRAIT_PARAMETER_NAMES

      See Also:
        Constant Field Values

    - #### TRAIT_EXPERIMENTAL

          public static final java.lang.String TRAIT_EXPERIMENTAL

      See Also:
        Constant Field Values

    - #### SHADOWED_TRAIT_PARAMETERS

          public static final java.lang.String SHADOWED_TRAIT_PARAMETERS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### VeplValidator

          public VeplValidator()

  - ### Method Detail

    - #### uniqueName

          public void uniqueName(ModelElement modelElement)

    - #### validPatternCallArguments

          public void validPatternCallArguments(ParameterizedPatternCall patternCall)

    - #### explicitlyImportedQueryPackage

          public void explicitlyImportedQueryPackage(QueryResultChangeEventPattern iqPatternEventPattern)

    - #### expressionAtomWithTimewindowMustFeatureMultiplicity

          public void expressionAtomWithTimewindowMustFeatureMultiplicity(Atom atom)

    - #### unsupportedMultiplicityTimewindowCombinations

          public void unsupportedMultiplicityTimewindowCombinations(Atom atom)

    - #### complexEventPatternWithPlainAtomExpression

          public void complexEventPatternWithPlainAtomExpression(ComplexEventPattern eventPattern)

    - #### unsafeStarOperator

          public void unsafeStarOperator(ComplexEventExpression complexEventExpression)

    - #### starOperatorIsLast

          public boolean starOperatorIsLast(ComplexEventExpression expression)

    - #### negativeOperatorAndOtherOperatorCombinations

          public void negativeOperatorAndOtherOperatorCombinations(ComplexEventExpression complexEventExpression)

    - #### duplicateTraitParameterNamesInDiamondInheritance

          public void duplicateTraitParameterNamesInDiamondInheritance(AtomicEventPattern atomicEventPattern)

    - #### traitParameterShadowing

          public void traitParameterShadowing(AtomicEventPattern atomicEventPattern)

    - #### traitsAreExperimentalFeature

          public void traitsAreExperimentalFeature(Trait trait)